%define	version	0.4
%define release 8mdk
%define name xmms-arts

Name: xmms-arts
Summary: KDE aRtsd output plugin for XMMS.
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
URL: http://home.earthlink.net/~bheath/xmms-arts
Source:	xmmsarts-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xmms libarts2
BuildRequires: gtk+-devel libxmms-devel kdelibs-devel arts libarts2-devel

%description
xmms - aRts is an output plugin to allow XMMS playback through 
the KDE2 soundserver, aRts.
			     
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure
%make

%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xmms/Output
install .libs/libartsout.so.0.0.0 $RPM_BUILD_ROOT/%{_libdir}/xmms/Output/libartsout.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README NEWS INSTALL AUTHORS
%{_libdir}/xmms/Output/libartsout.so

%changelog
* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-8mdk
- rebuild to fix invalid-packager

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-7mdk
- fix patch-not-applied

* Wed Aug 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4-6mdk
- fix BuildRequires
- s/Copyright/License/

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-5mdk
- rebuild

* Thu May 24 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-4mdk
- recompile against libxmms-1.2.5

* Thu Mar 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-3mdk
- remove versioning of sofile

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-2mdk
- don't put static libs in the package!
- fix requires and buildrequires

* Tue Mar  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-1mdk
- 0.4

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk
- new in contribs

* Fri Oct 06 2000 Sandor Takacs <taki@fok.hu> 0.1-1mdk
- First Mandrake release
